/*
* Light_WS2812 library example - RGB_blinky
*
* cycles one LED through red, green, blue
*
* This example is configured for a ATtiny85 with PLL clock fuse set and
* the WS2812 string connected to PB4.
*/

#include <util/delay.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#include "light_ws2812.h"

struct cRGB led[3];

int main(void)
{
  #ifdef __AVR_ATtiny10__
  CCP=0xD8;		// configuration change protection, write signature
  CLKPSR=0;		// set cpu clock prescaler =1 (8Mhz) (attiny 4/5/9/10)
  #endif

  //
  // set clock divider to /1
  //
  CLKPR = (1 << CLKPCE);
  CLKPR = (0 << CLKPS3) | (0 << CLKPS2) | (0 << CLKPS1) | (0 << CLKPS0);

  while(1)
  {
    for (int i = 0; i < 255; i++) {
      led[0].r=i;led[0].g=00;led[0].b=0;    // Write red to array
      led[1].r=0;led[1].g=i;led[1].b=0;			// green
      led[2].r=0;led[2].g=00;led[2].b=i;		// blue
      ws2812_setleds(led,3);
      _delay_ms(10);
    }

    for (int i = 255; i >= 0; i--) {
      led[0].r=i;led[0].g=00;led[0].b=0;    // Write red to array
      led[1].r=0;led[1].g=i;led[1].b=0;			// green
      led[2].r=0;led[2].g=00;led[2].b=i;		// blue
      ws2812_setleds(led,3);
      _delay_ms(10);
    }
  }
}
